package com.tofly.ghrq_route.module.trouble.domain;

import com.google.gson.annotations.Expose;

import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Generated;
import org.greenrobot.greendao.annotation.Id;
import org.greenrobot.greendao.annotation.NotNull;
import org.greenrobot.greendao.annotation.Transient;
import org.greenrobot.greendao.annotation.Unique;

import java.io.Serializable;
import java.util.List;

/**
 * Created by Amu on 2017/3/8.
 */

@Entity(nameInDb = "DB_TROUBLE")
@SuppressWarnings("serial")
public class TroubleBean implements Serializable {
    /**
     * id : 35953C005B33444DB6F0C5EAED6BB63A
     * sid : 100061
     * userid : 1
     * padid : null
     * trouble_typeid : 111
     * notes : null
     * state : 0
     * location_x : 11
     * location_y : 11
     * location_longitude : 11
     * location_latitude : 11
     * address : null
     * findtime : null
     * uploadtime : 2017-03-07T11:34:50
     * handle_time : null
     * handel_userid : null
     * handle_username : null
     * handle_state : 0
     * handle_trouble_clear : 0
     * handle_notes : null
     * handle_picture_state : 1
     * companyid : null
     * "username": "穆国庆",
     * "padname": "mgq手机",
     * "trouble_type_name": "高出路面",
     * "equid_name": "阀门井",
     * level1 : null
     * level2 : null
     * level3 : null
     * equid : null
     */
    public final static int SAVED_STATE = -1;  //本地保存的隐患
    public final static int CLEAR_SAVED_STATE = -2;  //本地保存的隐患清除
    public final static int SAVE_UPLOADING_STATE = -3;  //本地保存的隐患正在上传中
    public final static int UPLOADED_STATE = -4;  //隐患已经上传
    public final static int SERVER_STATE = -5;  //来自于服务器
    public final static int SAVED_NO_COMMIT_STATE = -6;  //本地保存不自动提交
    public final static int SERVER_UPDATE_UNUPLOAD_STATE = -7;   //从服务器获取的本地已更新，未上传
    public final static int NOT_TROUBLE_STATE = 0; //不是隐患
    public final static int TROUBLE_STATE = 1;     //是隐患
    public final static int TROUBLE_STATE_UNCERTAIN = 2;    //未确定
    public final static int TROUBLE_CLEAR_STATE = 1;        //隐患已清除
    public final static int TROUBLE_NOT_CLEAR_STATE = 0;    //隐患未清除
    public final static int TROUBLE_HANLDE_STATE = 1;       //隐患已处理
    public final static int TROUBLE_NOT_HANLDE_STATE = 0;   //隐患未处理
    public final static int TROUBLE_LEVEL_STATE = 1;        //隐患已定级
    public final static int TROUBLE_NOT_LEVEL_STATE = 0;    //隐患未定级
    public final static int TROUBLE_LEVEL_CHECK_STATE = 1;  //隐患已审核
    public final static int TROUBLE_NOT_LEVEL_CHECK_STATE = 0;//隐患未审核
    public final static int TROUBLE_THIRD_HANDLE_MIDDLE = 1; //第三方隐患系统处理中
    public final static int TROUBLE_THIRD_HANDLE_CLEAR = 2; //第三方隐患系统处理结束

    //trouble 类型：隐患， 照片上传，草图
    public final static int TROUBLE_TYPE_DANGER = 0; // 隐患类型
    public final static int TROUBLE_TYPE_REPORT_HELP = 1;  //一键求救


    public final static int TROUBLE_PROCESS_NEED_UNDERTAKER_VERIFY = 1;    //待班组长审核
    public final static int TROUBLE_PROCESS_NEED_UNDERTAKER_MAKE_SCHEME = 2;    //待班组长编制方案
    public final static int TROUBLE_PROCESS_NEED_OTHER_UNDERTAKER_MAKE_SCHEME = 3;    //待其他班组长编制方案
    public final static int TROUBLE_PROCESS_NEED_UNDER_SECTARY_MAKE_SCHEME = 4;    //待副部长编制方案
    public final static int TROUBLE_PROCESS_TURNED_INTO_SAVED_TROUBLE = 5;    //转入存量隐患
    public final static int TROUBLE_PROCESS_NEED_UNDER_SECTARY_VERIFY_SCHEME = 6;    //待副部长审核方案
    public final static int TROUBLE_PROCESS_UNDER_SECTARY_REJECT_SCHEME = 7;    //副部长审核方案未通过
    public final static int TROUBLE_PROCESS_NEED_JOB_TAKER_EXECUTE = 8;    //待工单负责人执行
    public final static int TROUBLE_PROCESS_NEED_UNDERTAKER_VERIFY_EXECUTE = 9;    //待班组长审核回报
    public final static int TROUBLE_PROCESS_UNDERTAKER_REJECT_EXECUTE = 10;    //班组长审核回报未通过
    public final static int TROUBLE_PROCESS_NEED_UNDER_SECTARY_VERIFY_EXECUTE = 11;    //待副部长审核回报
    public final static int TROUBLE_PROCESS_UNDER_SECTARY_REJECT_EXECUTE = 12;    //副部长审核回报未通过
    public final static int TROUBLE_PROCESS_ARCHIVE_AFTER_ACCOMPLISHED = 13;      //隐患处理完成归档
    public final static int TROUBLE_PROCESS_NEED_JOB_TAKER_EXECUTE_FROM_SECTARY = 14;    //待工单负责人执行(副部长直接派工)


    public final static int TROUBLE_SELECT_UNDERTAKER_ASSIGN_SCHEME_VERIFY = 0;    //班组长审核，编制方案，审核回报
    public final static int TROUBLE_SELECT_UNDERSECTARY_ASSIGN_SCHEME_VERIFY = 1;    //副部长审核，编制方案，审核回报
    public final static int TROUBLE_SELECT_JOB_TAKER_EXECUTE = 2;    //执行回报
    public final static int TROUBLE_SELECT_TROUBLE_REPORT = 3;    //隐患上报
    public final static int TROUBLE_SELECT_MY_TROUBLE = 4;    // 我的隐患

    //班组长审核，编制方案，审核回报
    public final static int TROUBLE_UNDERTAKER_PROCESS[] = {  //1,3,7,9
            TROUBLE_PROCESS_NEED_UNDERTAKER_VERIFY,
            TROUBLE_PROCESS_NEED_OTHER_UNDERTAKER_MAKE_SCHEME,
            TROUBLE_PROCESS_UNDER_SECTARY_REJECT_SCHEME,
            TROUBLE_PROCESS_NEED_UNDERTAKER_VERIFY_EXECUTE};
    //副部长审核，编制方案，审核回报
    public final static int TROUBLE_UNDER_SECTARY_PROCESS[] = {  //4,6,11
            TROUBLE_PROCESS_NEED_UNDER_SECTARY_MAKE_SCHEME,
            TROUBLE_PROCESS_NEED_UNDER_SECTARY_VERIFY_SCHEME,
            TROUBLE_PROCESS_NEED_UNDER_SECTARY_VERIFY_EXECUTE};
    //执行回报
    public final static int TROUBLE_JOB_EXECUTE_PROCESS[] = {  //8,10,12,14
            TROUBLE_PROCESS_NEED_JOB_TAKER_EXECUTE,
            TROUBLE_PROCESS_UNDERTAKER_REJECT_EXECUTE,
            TROUBLE_PROCESS_UNDER_SECTARY_REJECT_EXECUTE,
            TROUBLE_PROCESS_NEED_JOB_TAKER_EXECUTE_FROM_SECTARY
    };

    public static final String TROUBLE_BEAN_KEY = "trouble_bean";
    public static final String TROUBLE_BEAN_EDITABLE_KEY = "trouble_editable";
    public static final String TROUBLE_BEAN_SELECT_DEVICE_TYPE = "trouble_select_device_type"; //0: 新建 1：查看 2：更新
    public static final String TROUBLE_LIST_SELECT_TYPE = "trouble_list_select_type";
    public static final String TROUBLE_PIPE_NOTE_KEY = "trouble_pipe_note";
    public static final String TROUBLE_DEVICE_NOTE_KEY = "trouble_device_note";
    public static final String TROUBLE_POSITION_KEY = "trouble_position";
    public static final String TROUBLE_DETAIL_LIST_TYPE_KEY = "trouble_detail_list_type";

    public static final int TROUBLE_SELECT_DEVICE_NEW = 0;
    public static final int TROUBLE_SELECT_DEVICE_CHECK = 1;
    public static final int TROUBLE_SELECT_DEVICE_UPDATE = 2;
    public static final int TROUBLE_SELECT_DEVICE_NEW_UPDATE = 3; //上传新的隐患时，查看已经选择的设备和管线数据

    @Id @NotNull @Unique
    private String id;
    private String userid;
    private String address; //地址
    private int current;
    private String dutyUserId;  //责任班班长(副部长指定)
    private String dutyUserName;    //治理责任人
    private String maintainerUserId;       //其他班组长[转入其他班组情况下必填
    private String maintainerUserName;  //其他班组长[转入其他班组情况下必填
    private int flag = 1;       //是否由副部长审核方案(“0”:是,“1”:否) 继续处理时填
    private String gisUserId;   //GIS班班长
    private String handleState;  //仅非工作时间,值班人员)事件类型:0:非隐患 1:一般隐患,2:重大隐患
    private String handleStateName; 
    private String onDutyUserId; //(非工作日)值班人员
    private String onDutyUserName; //(非工作日)值班人员用户名
    private String tempHandleProject;
    private String tempHandleResult;
    private int eventType;
    private String eventTypeName;
    private int processId;      //1.待值班人员勘察(非工作时间),2.待承办班班长审核(工作时间),3.待巡检人员现场核实(工作时间),4.待副部长指派,5.转入抢维修,6.待责任班班长编制方案,7.隐患处理完成(副部长审核),8.待部长审核,9.待工单负责人执行,10.待副部长审核回报,11.隐患处理完成归档,12.部长审核未通过,13.副部长审核回报未通过,14.值班人员判断非隐患(非工作时间)
    private String processName;
    private String processId2;
    private String reportUserId;    //上报人
    private String reportUserName;  //上报用户名
    private String reportTime;      //上报时间
    private String troubleInfo;  //隐患详情
    private String troubleName;   //隐患名称
    private int uploadType;  //隐患上报途径(0:非工作时间;1:工作时间现场上报;2:工作时间其他转入)
    private String uploadTypeName;  //是否工作日
    private String deptId;   //部门ID
    private String deptName;    //部门名称
    private String director;
    private String directorName;
    private String deviceInfo;  //设备基本信息
    @Transient
    private List<DeviceAttributesBean> deviceInfos;
    private String deviceInfoDesc;  //设备基本情况描述[选填]
    private String findTime;      //发现时间[选填]
    private String findUserid;    //隐患发现人员[选填]
    private String findUserName;   //发现人员名
    private String gisUserName;     //上报人员
    private String levelId;      //隐患级别id(工作时间现场上报时传入)
    private String levelName;    //隐患级别名称
    private String locationX;    //投影坐标位置x
    private String locationY;   //投影坐标位置y
    private String notes;       //隐患上报备注[选填]
    private String pipeInfo;    //管线基本信息
    @Transient
    private List<PipeAttributesBean> pipeInfos;
    private String pipeInfoDesc; //管道基本情况描述[选填]
    private String secretaryUserid; //部长用户id
    private String troubleTypeId;   //隐患类别id(工作时间现场上报时传入)
    private String troubleTypeName;  //隐患类别
    private String undersecretaryUserid;   //副部长用户id
    private String undersecretaryUserName;  //副部长用户名
    private String undersecretaryCheckNotes; //副部长意见
    private String undersecretaryCheckTime;  //副部长审核时间
    private String undersecretaryStateName;  //副部长审核状态
    private String undertakerUserid;    //(GIS班班长指定)承办班班长[工作时间其他转入必填]
    private String undertakerUserName;      //承办班班长用户名
    private String undertakerCheckNotes;   //班长审核意见
    private String undertakerCheckTime;    //班长审核时间
    private String undertakerHandleUserId;  //巡检人员(承办班班长指定)
    private String undertakerHandleUserName;   //巡检人员用户名
    private String undertakerHandleNotes;     //巡检人员备注
    private String undertakerHandleTime;       //巡检人员巡检时间
    private String unitName;        //隐患所属单位名称，造成隐患的责任单位
    @Expose(serialize = false, deserialize = false)
    private int save_state;
    private int state;       //是否为隐患(0:不是隐患 1:常规隐患 2.存量隐患 3:抢维修)
    private String stateName;  //常规隐患/不是隐患
    @Transient
    private List<TroubleProcessBean> checks;
    @Transient
    private List<AuditFileBean> nonworkingDayFiles;
    @Transient
    private List<AuditFileBean> nonworkingDayVoice;
    @Transient
    private List<AuditFileBean> workingDayFiles;
    @Transient
    private List<AuditFileBean> workingDayVoice;
    @Transient
    private List<AuditFileBean> workingOtherFiles;
    @Transient
    private List<AuditFileBean> workingOtherVoice;
    @Transient
    private List<AuditFileBean> dutyFiles;
    @Transient
    private List<AuditFileBean> dutyVoice;
    @Transient
    private List<AuditFileBean> inspectFiles;
    @Transient
    private List<AuditFileBean> inspectVoice;
    @Transient
    private List<AuditSchemeBean> auditSchemeList;
    @Transient
    private List<AuditEndBean> auditEndList;

    @Generated(hash = 1331919145)
    public TroubleBean(@NotNull String id, String userid, String address, int current, String dutyUserId, String dutyUserName, String maintainerUserId, String maintainerUserName, int flag, String gisUserId,
                       String handleState, String handleStateName, String onDutyUserId, String onDutyUserName, String tempHandleProject, String tempHandleResult, int eventType, String eventTypeName, int processId, String processName,
                       String processId2, String reportUserId, String reportUserName, String reportTime, String troubleInfo, String troubleName, int uploadType, String uploadTypeName, String deptId, String deptName, String director,
                       String directorName, String deviceInfo, String deviceInfoDesc, String findTime, String findUserid, String findUserName, String gisUserName, String levelId, String levelName, String locationX, String locationY,
                       String notes, String pipeInfo, String pipeInfoDesc, String secretaryUserid, String troubleTypeId, String troubleTypeName, String undersecretaryUserid, String undersecretaryUserName,
                       String undersecretaryCheckNotes, String undersecretaryCheckTime, String undersecretaryStateName, String undertakerUserid, String undertakerUserName, String undertakerCheckNotes, String undertakerCheckTime,
                       String undertakerHandleUserId, String undertakerHandleUserName, String undertakerHandleNotes, String undertakerHandleTime, String unitName, int save_state, int state, String stateName) {
        this.id = id;
        this.userid = userid;
        this.address = address;
        this.current = current;
        this.dutyUserId = dutyUserId;
        this.dutyUserName = dutyUserName;
        this.maintainerUserId = maintainerUserId;
        this.maintainerUserName = maintainerUserName;
        this.flag = flag;
        this.gisUserId = gisUserId;
        this.handleState = handleState;
        this.handleStateName = handleStateName;
        this.onDutyUserId = onDutyUserId;
        this.onDutyUserName = onDutyUserName;
        this.tempHandleProject = tempHandleProject;
        this.tempHandleResult = tempHandleResult;
        this.eventType = eventType;
        this.eventTypeName = eventTypeName;
        this.processId = processId;
        this.processName = processName;
        this.processId2 = processId2;
        this.reportUserId = reportUserId;
        this.reportUserName = reportUserName;
        this.reportTime = reportTime;
        this.troubleInfo = troubleInfo;
        this.troubleName = troubleName;
        this.uploadType = uploadType;
        this.uploadTypeName = uploadTypeName;
        this.deptId = deptId;
        this.deptName = deptName;
        this.director = director;
        this.directorName = directorName;
        this.deviceInfo = deviceInfo;
        this.deviceInfoDesc = deviceInfoDesc;
        this.findTime = findTime;
        this.findUserid = findUserid;
        this.findUserName = findUserName;
        this.gisUserName = gisUserName;
        this.levelId = levelId;
        this.levelName = levelName;
        this.locationX = locationX;
        this.locationY = locationY;
        this.notes = notes;
        this.pipeInfo = pipeInfo;
        this.pipeInfoDesc = pipeInfoDesc;
        this.secretaryUserid = secretaryUserid;
        this.troubleTypeId = troubleTypeId;
        this.troubleTypeName = troubleTypeName;
        this.undersecretaryUserid = undersecretaryUserid;
        this.undersecretaryUserName = undersecretaryUserName;
        this.undersecretaryCheckNotes = undersecretaryCheckNotes;
        this.undersecretaryCheckTime = undersecretaryCheckTime;
        this.undersecretaryStateName = undersecretaryStateName;
        this.undertakerUserid = undertakerUserid;
        this.undertakerUserName = undertakerUserName;
        this.undertakerCheckNotes = undertakerCheckNotes;
        this.undertakerCheckTime = undertakerCheckTime;
        this.undertakerHandleUserId = undertakerHandleUserId;
        this.undertakerHandleUserName = undertakerHandleUserName;
        this.undertakerHandleNotes = undertakerHandleNotes;
        this.undertakerHandleTime = undertakerHandleTime;
        this.unitName = unitName;
        this.save_state = save_state;
        this.state = state;
        this.stateName = stateName;
    }
    @Generated(hash = 40769873)
    public TroubleBean() {
    }

    

    public String getId() {
        return this.id;
    }
    public void setId(String id) {
        this.id = id;
    }
    public String getUserid() {
        return this.userid;
    }
    public void setUserid(String userid) {
        this.userid = userid;
    }
    public String getAddress() {
        return this.address;
    }
    public void setAddress(String address) {
        this.address = address;
    }
    public String getTroubleInfo() {
        return this.troubleInfo;
    }
    public void setTroubleInfo(String troubleInfo) {
        this.troubleInfo = troubleInfo;
    }
    public String getTroubleName() {
        return this.troubleName;
    }
    public void setTroubleName(String troubleName) {
        this.troubleName = troubleName;
    }
    public int getUploadType() {
        return this.uploadType;
    }
    public void setUploadType(int uploadType) {
        this.uploadType = uploadType;
    }
    public String getDeptId() {
        return this.deptId;
    }
    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }
    public String getDeviceInfo() {
        return this.deviceInfo;
    }
    public void setDeviceInfo(String deviceInfo) {
        this.deviceInfo = deviceInfo;
    }
    public String getDeviceInfoDesc() {
        return this.deviceInfoDesc;
    }
    public void setDeviceInfoDesc(String deviceInfoDesc) {
        this.deviceInfoDesc = deviceInfoDesc;
    }
    public String getFindTime() {
        return this.findTime;
    }
    public void setFindTime(String findTime) {
        this.findTime = findTime;
    }
    public String getFindUserid() {
        return this.findUserid;
    }
    public void setFindUserid(String findUserid) {
        this.findUserid = findUserid;
    }
    public String getLevelId() {
        return this.levelId;
    }
    public void setLevelId(String levelId) {
        this.levelId = levelId;
    }
    public String getLocationX() {
        return this.locationX;
    }
    public void setLocationX(String locationX) {
        this.locationX = locationX;
    }
    public String getLocationY() {
        return this.locationY;
    }
    public void setLocationY(String locationY) {
        this.locationY = locationY;
    }
    public String getNotes() {
        return this.notes;
    }
    public void setNotes(String notes) {
        this.notes = notes;
    }
    public String getPipeInfo() {
        return this.pipeInfo;
    }
    public void setPipeInfo(String pipeInfo) {
        this.pipeInfo = pipeInfo;
    }
    public String getPipeInfoDesc() {
        return this.pipeInfoDesc;
    }
    public void setPipeInfoDesc(String pipeInfoDesc) {
        this.pipeInfoDesc = pipeInfoDesc;
    }
    public String getSecretaryUserid() {
        return this.secretaryUserid;
    }
    public void setSecretaryUserid(String secretaryUserid) {
        this.secretaryUserid = secretaryUserid;
    }
    public String getTroubleTypeId() {
        return this.troubleTypeId;
    }
    public void setTroubleTypeId(String troubleTypeId) {
        this.troubleTypeId = troubleTypeId;
    }
    public String getUndersecretaryUserid() {
        return this.undersecretaryUserid;
    }
    public void setUndersecretaryUserid(String undersecretaryUserid) {
        this.undersecretaryUserid = undersecretaryUserid;
    }
    public String getUndertakerUserid() {
        return this.undertakerUserid;
    }
    public void setUndertakerUserid(String undertakerUserid) {
        this.undertakerUserid = undertakerUserid;
    }
    public String getUnitName() {
        return this.unitName;
    }
    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }
    public int getSave_state() {
        return this.save_state;
    }
    public void setSave_state(int save_state) {
        this.save_state = save_state;
    }

    public int getCurrent() {
        return this.current;
    }

    public void setCurrent(int current) {
        this.current = current;
    }

    public String getDutyUserId() {
        return this.dutyUserId;
    }

    public void setDutyUserId(String dutyUserId) {
        this.dutyUserId = dutyUserId;
    }

    public int getFlag() {
        return flag;
    }

    public void setFlag(int flag) {
        this.flag = flag;
    }

    public String getGisUserId() {
        return this.gisUserId;
    }

    public void setGisUserId(String gisUserId) {
        this.gisUserId = gisUserId;
    }

    public String getHandleState() {
        return this.handleState;
    }

    public void setHandleState(String handleState) {
        this.handleState = handleState;
    }

    public String getOnDutyUserId() {
        return this.onDutyUserId;
    }

    public void setOnDutyUserId(String onDutyUserId) {
        this.onDutyUserId = onDutyUserId;
    }

    public int getProcessId() {
        return this.processId;
    }

    public void setProcessId(int processId) {
        this.processId = processId;
    }

    public String getProcessId2() {
        return this.processId2;
    }

    public void setProcessId2(String processId2) {
        this.processId2 = processId2;
    }

    public String getReportUserId() {
        return this.reportUserId;
    }

    public void setReportUserId(String reportUserId) {
        this.reportUserId = reportUserId;
    }

    public String getUndertakerHandleUserId() {
        return this.undertakerHandleUserId;
    }

    public void setUndertakerHandleUserId(String undertakerHandleUserId) {
        this.undertakerHandleUserId = undertakerHandleUserId;
    }
    public int getState() {
        return this.state;
    }
    public void setState(int state) {
        this.state = state;
    }
    public String getDutyUserName() {
        return this.dutyUserName;
    }
    public void setDutyUserName(String dutyUserName) {
        this.dutyUserName = dutyUserName;
    }
    public String getOnDutyUserName() {
        return this.onDutyUserName;
    }
    public void setOnDutyUserName(String onDutyUserName) {
        this.onDutyUserName = onDutyUserName;
    }
    public String getProcessName() {
        return this.processName;
    }
    public void setProcessName(String processName) {
        this.processName = processName;
    }
    public String getReportUserName() {
        return this.reportUserName;
    }
    public void setReportUserName(String reportUserName) {
        this.reportUserName = reportUserName;
    }
    public String getReportTime() {
        return this.reportTime;
    }
    public void setReportTime(String reportTime) {
        this.reportTime = reportTime;
    }
    public String getUploadTypeName() {
        return this.uploadTypeName;
    }
    public void setUploadTypeName(String uploadTypeName) {
        this.uploadTypeName = uploadTypeName;
    }
    public String getDeptName() {
        return this.deptName;
    }
    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
    public String getDirector() {
        return this.director;
    }
    public void setDirector(String director) {
        this.director = director;
    }
    public String getDirectorName() {
        return this.directorName;
    }
    public void setDirectorName(String directorName) {
        this.directorName = directorName;
    }
    public String getFindUserName() {
        return this.findUserName;
    }
    public void setFindUserName(String findUserName) {
        this.findUserName = findUserName;
    }
    public String getGisUserName() {
        return this.gisUserName;
    }
    public void setGisUserName(String gisUserName) {
        this.gisUserName = gisUserName;
    }
    public String getLevelName() {
        return this.levelName;
    }
    public void setLevelName(String levelName) {
        this.levelName = levelName;
    }
    public String getTroubleTypeName() {
        return this.troubleTypeName;
    }
    public void setTroubleTypeName(String troubleTypeName) {
        this.troubleTypeName = troubleTypeName;
    }
    public String getUndersecretaryUserName() {
        return this.undersecretaryUserName;
    }
    public void setUndersecretaryUserName(String undersecretaryUserName) {
        this.undersecretaryUserName = undersecretaryUserName;
    }
    public String getUndersecretaryCheckNotes() {
        return this.undersecretaryCheckNotes;
    }
    public void setUndersecretaryCheckNotes(String undersecretaryCheckNotes) {
        this.undersecretaryCheckNotes = undersecretaryCheckNotes;
    }
    public String getUndersecretaryCheckTime() {
        return this.undersecretaryCheckTime;
    }
    public void setUndersecretaryCheckTime(String undersecretaryCheckTime) {
        this.undersecretaryCheckTime = undersecretaryCheckTime;
    }
    public String getUndertakerUserName() {
        return this.undertakerUserName;
    }
    public void setUndertakerUserName(String undertakerUserName) {
        this.undertakerUserName = undertakerUserName;
    }
    public String getUndertakerCheckNotes() {
        return this.undertakerCheckNotes;
    }
    public void setUndertakerCheckNotes(String undertakerCheckNotes) {
        this.undertakerCheckNotes = undertakerCheckNotes;
    }
    public String getUndertakerCheckTime() {
        return this.undertakerCheckTime;
    }
    public void setUndertakerCheckTime(String undertakerCheckTime) {
        this.undertakerCheckTime = undertakerCheckTime;
    }
    public String getUndertakerHandleUserName() {
        return this.undertakerHandleUserName;
    }
    public void setUndertakerHandleUserName(String undertakerHandleUserName) {
        this.undertakerHandleUserName = undertakerHandleUserName;
    }
    public String getUndertakerHandleNotes() {
        return this.undertakerHandleNotes;
    }
    public void setUndertakerHandleNotes(String undertakerHandleNotes) {
        this.undertakerHandleNotes = undertakerHandleNotes;
    }
    public String getUndertakerHandleTime() {
        return this.undertakerHandleTime;
    }
    public void setUndertakerHandleTime(String undertakerHandleTime) {
        this.undertakerHandleTime = undertakerHandleTime;
    }
    public String getHandleStateName() {
        return this.handleStateName;
    }
    public void setHandleStateName(String handleStateName) {
        this.handleStateName = handleStateName;
    }
    public String getStateName() {
        return this.stateName;
    }
    public void setStateName(String stateName) {
        this.stateName = stateName;
    }
    public String getTempHandleProject() {
        return this.tempHandleProject;
    }
    public void setTempHandleProject(String tempHandleProject) {
        this.tempHandleProject = tempHandleProject;
    }
    public String getTempHandleResult() {
        return this.tempHandleResult;
    }
    public void setTempHandleResult(String tempHandleResult) {
        this.tempHandleResult = tempHandleResult;
    }
    public int getEventType() {
        return this.eventType;
    }
    public void setEventType(int eventType) {
        this.eventType = eventType;
    }
    public String getEventTypeName() {
        return this.eventTypeName;
    }
    public void setEventTypeName(String eventTypeName) {
        this.eventTypeName = eventTypeName;
    }

    public List<DeviceAttributesBean> getDeviceInfos() {
        return deviceInfos;
    }

    public void setDeviceInfos(List<DeviceAttributesBean> deviceInfos) {
        this.deviceInfos = deviceInfos;
    }

    public List<PipeAttributesBean> getPipeInfos() {
        return pipeInfos;
    }

    public void setPipeInfos(List<PipeAttributesBean> pipeInfos) {
        this.pipeInfos = pipeInfos;
    }


    public List<TroubleProcessBean> getChecks() {
        return checks;
    }

    public void setChecks(List<TroubleProcessBean> checks) {
        this.checks = checks;
    }

    public List<AuditFileBean> getNonworkingDayFiles() {
        return nonworkingDayFiles;
    }

    public void setNonworkingDayFiles(List<AuditFileBean> nonworkingDayFiles) {
        this.nonworkingDayFiles = nonworkingDayFiles;
    }

    public List<AuditFileBean> getNonworkingDayVoice() {
        return nonworkingDayVoice;
    }

    public void setNonworkingDayVoice(List<AuditFileBean> nonworkingDayVoice) {
        this.nonworkingDayVoice = nonworkingDayVoice;
    }

    public List<AuditFileBean> getWorkingDayFiles() {
        return workingDayFiles;
    }

    public void setWorkingDayFiles(List<AuditFileBean> workingDayFiles) {
        this.workingDayFiles = workingDayFiles;
    }

    public List<AuditFileBean> getWorkingDayVoice() {
        return workingDayVoice;
    }

    public void setWorkingDayVoice(List<AuditFileBean> workingDayVoice) {
        this.workingDayVoice = workingDayVoice;
    }

    public List<AuditFileBean> getWorkingOtherFiles() {
        return workingOtherFiles;
    }

    public void setWorkingOtherFiles(List<AuditFileBean> workingOtherFiles) {
        this.workingOtherFiles = workingOtherFiles;
    }

    public List<AuditFileBean> getWorkingOtherVoice() {
        return workingOtherVoice;
    }

    public void setWorkingOtherVoice(List<AuditFileBean> workingOtherVoice) {
        this.workingOtherVoice = workingOtherVoice;
    }

    public List<AuditFileBean> getDutyFiles() {
        return dutyFiles;
    }

    public void setDutyFiles(List<AuditFileBean> dutyFiles) {
        this.dutyFiles = dutyFiles;
    }

    public List<AuditFileBean> getDutyVoice() {
        return dutyVoice;
    }

    public void setDutyVoice(List<AuditFileBean> dutyVoice) {
        this.dutyVoice = dutyVoice;
    }

    public List<AuditFileBean> getInspectFiles() {
        return inspectFiles;
    }

    public void setInspectFiles(List<AuditFileBean> inspectFiles) {
        this.inspectFiles = inspectFiles;
    }

    public List<AuditFileBean> getInspectVoice() {
        return inspectVoice;
    }

    public void setInspectVoice(List<AuditFileBean> inspectVoice) {
        this.inspectVoice = inspectVoice;
    }

    public List<AuditSchemeBean> getAuditSchemeList() {
        return auditSchemeList;
    }

    public void setAuditSchemeList(List<AuditSchemeBean> auditSchemeList) {
        this.auditSchemeList = auditSchemeList;
    }

    public List<AuditEndBean> getAuditEndList() {
        return auditEndList;
    }

    public void setAuditEndList(List<AuditEndBean> auditEndList) {
        this.auditEndList = auditEndList;
    }
    public String getUndersecretaryStateName() {
        return this.undersecretaryStateName;
    }
    public void setUndersecretaryStateName(String undersecretaryStateName) {
        this.undersecretaryStateName = undersecretaryStateName;
    }
    public String getMaintainerUserId() {
        return this.maintainerUserId;
    }
    public void setMaintainerUserId(String maintainerUserId) {
        this.maintainerUserId = maintainerUserId;
    }
    public String getMaintainerUserName() {
        return this.maintainerUserName;
    }
    public void setMaintainerUserName(String maintainerUserName) {
        this.maintainerUserName = maintainerUserName;
    }
}
